# CRP Gateway
## RELEASE NOTES 
> v1.9.7

### Upgrade Steps
* Refer to CRP Gateway Patching Guide v1.0 or above

### New Features
* Add searching filter "source" in Business Notification
* Add Email Notification for receiving the processing result from CRAs (SQL scripts required)

### Bug Fixes
* Fixed the incident reported on 2024-10-17
  * This incident will mark all non-submitted Upload Request to "COMPLETED" incorrectly. 
  * No fatal impact evaluated.
* Fixed the issue that when the encryption certificates of the participants is not presented in the database, 
  the system cannot obtain it correctly after retrieved from CRP.

### Improvements
* Enhance testing API "Test Internal OAuth Connection" to show exceptions for 404 or 5xx errors

### Other Changes

